<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления ярлыка информационного элемента.
 *
 * Файл: /admin/InformationSystems/action/add_item_shortcut.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */

$information_system = & singleton('InformationSystem');
$kernel = & singleton('kernel');

$param_item = array ();

$param_item['information_systems_id'] = to_int($_POST['information_system_id']);
$param_item['information_groups_id'] = to_int($_POST['information_group_id']);
$param_item['information_items_shortcut_id'] = to_int($_POST['information_item_id']);
$param_item['information_items_status'] = 1;
$param_item['information_items_allow_indexation'] = 0;

$item_shortcut_id = $information_system->InsertInformationItem($param_item);

if ($item_shortcut_id)
{
	show_message($GLOBALS['MSG_information_systems']['add_information_item_shortcut_success']);
}
else 
{	
	show_error_message($GLOBALS['MSG_information_systems']['edit_information_item_shortcut_error']);
}
?>